<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreateUsers extends Migration
{
	public function up()
	{
		$this->forge->addField([
			"id" => [
				"type" => "INT",
				"constraint" => 5,
				"auto_increment" => true,
				"unsigned" => true
			],
			"name" => [
				"type" => "VARCHAR",
				"constraint" => 120,
				"null" => true
			],
			"email" => [
				"type" => "VARCHAR",
				"constraint" => 120,
				"null" => true
			],
			"password" => [
				"type" => "VARCHAR",
				"constraint" => 220,
				"null" => true
			],
			"created_at datetime default current_timestamp"
		]);
		$this->forge->addKey("id", true);
		$this->forge->createTable("users");
	}

	//--------------------------------------------------------------------

	public function down()
	{
		$this->forge->dropTable("users");
	}
}
