<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreateCategories extends Migration
{
	public function up()
	{
		$this->forge->addField([
			"id" => [
				"type" => "INT",
				"constraint" => 5,
				"auto_increment" => true,
				"unsigned" => true
			],
			"name" => [
				"type" => "VARCHAR",
				"constraint" => 120,
				"unique" => true
			],
			"status" => [
				"type" => "ENUM",
				"constraint" => ['1', '0'],
				"default" => '1'
			],
			"created_at datetime default current_timestamp"
		]);

		$this->forge->addKey("id", true);
		$this->forge->createTable("categories");
	}

	//--------------------------------------------------------------------

	public function down()
	{
		$this->forge->dropTable("categories");
	}
}
