<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreateBlogs extends Migration
{
	public function up()
	{
		$this->forge->addField([
			"id" => [
				"type" => "INT",
				"constraint" => 5,
				"auto_increment" => true,
				"unsigned" => true
			],
			"category_id" => [
				"type" => "INT",
				"constraint" => 5,
				"unsigned" => true
			],
			"name" => [
				"type" => "VARCHAR",
				"constraint" => 120
			],
			"image" => [
				"type" => "VARCHAR",
				"constraint" => 120,
				"null" => true
			],
			"description" => [
				"type" => "TEXT",
				"null" => true
			],
			"status" => [
				"type" => "ENUM",
				"constraint" => ['1', '0'],
				"default" => '1'
			],
			"created_at datetime default current_timestamp"
		]);

		$this->forge->addKey("id", true);
		$this->forge->addForeignKey("category_id", "categories", "id", "CASCADE", "CASCADE");
		$this->forge->createTable("blogs");
	}

	//--------------------------------------------------------------------

	public function down()
	{
		$this->forge->dropTable("blogs");
	}
}
