<?= $this->extend("layouts/admin") ?>

<?= $this->section("adminTitle") ?>
List Blogs | Todo Manager
<?= $this->endSection() ?>


<?= $this->section("topStyles") ?>

<?= link_tag("plugins/datatables-bs4/css/dataTables.bootstrap4.css") ?>

<?= $this->endSection() ?>

<?= $this->section("content") ?>

<!-- Content Header (Page header) -->
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0 text-dark">List Blogs</h1>
            </div><!-- /.col -->
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?= site_url('dashboard') ?>">Home</a></li>
                    <li class="breadcrumb-item active">List Blogs</li>
                </ol>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <!-- general form elements disabled -->
                <div class="card card-dark">
                    <div class="card-header">
                        <h3 class="card-title">List Blogs</h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table id="tbl-list-blogs" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>#ID</th>
                                    <th>#Image</th>
                                    <th>#Category</th>
                                    <th>#Name</th>
                                    <th>#Status</th>
                                    <th>#Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                if (count($blogs) > 0) {
                                    foreach ($blogs as $index => $blog) {
                                ?>
                                        <tr>
                                            <td><?= $blog['id'] ?></td>
                                            <td><img src="<?= base_url($blog['image']) ?>" style="height: 100px;width: 100px;" class="img-responsive"/></td>
                                            <td><?= $blog['category_name'] ?></td>
                                            <td><?= $blog['name'] ?></td>
                                            <td><?= $blog['status'] == 1 ? "<button class='btn btn-success'>Active</button>" : "<button class='btn btn-danger'>Inactive</button>" ?></td>

                                            <td>
                                            <form action="<?= site_url('delete-blog/'.$blog['id']) ?>" id="frm-delete-blog-<?= $blog['id'] ?>" method="post">
                                                <input type="hidden" name="blog_id" value="<?= $blog['id'] ?>"/>
                                            </form>
                                    <button class="btn btn-danger" onclick="if(confirm('Are you sure want to delete ?')){ $('#frm-delete-blog-<?= $blog['id'] ?>').submit() }">Delete</button>
                                            </td>
                                        </tr>
                                <?php
                                    }
                                }
                                ?>
                            </tbody>
                            <tfoot>
                                <tr>
                                    <th>#ID</th>
                                    <th>#Image</th>
                                    <th>#Category</th>
                                    <th>#Name</th>
                                    <th>#Status</th>
                                    <th>#Action</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->

            </div>
            <!--/.col (right) -->
        </div>
        <!-- /.row -->

    </div><!-- /.container-fluid -->
</section>
<!-- /.content -->

<?= $this->endSection() ?>

<?= $this->section("bottomScripts") ?>

<?= script_tag("plugins/datatables/jquery.dataTables.js") ?>
<?= script_tag("plugins/datatables-bs4/js/dataTables.bootstrap4.js") ?>

<script>
    $(function() {
        $("#tbl-list-blogs").DataTable();
    });
</script>

<?= $this->endSection() ?>