<?= $this->extend("layouts/admin") ?>

<?= $this->section("adminTitle") ?>
List Category | Todo Manager
<?= $this->endSection() ?>


<?= $this->section("topStyles") ?>

<?= link_tag("plugins/datatables-bs4/css/dataTables.bootstrap4.css") ?>

<?= $this->endSection() ?>

<?= $this->section("content") ?>

<!-- Content Header (Page header) -->
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0 text-dark">List Category</h1>
            </div><!-- /.col -->
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?= site_url('dashboard') ?>">Home</a></li>
                    <li class="breadcrumb-item active">List Category</li>
                </ol>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <!-- general form elements disabled -->
                <div class="card card-dark">
                    <div class="card-header">
                        <h3 class="card-title">List Category</h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table id="tbl-list-category" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>#ID</th>
                                    <th>#Name</th>
                                    <th>#Status</th>
                                    <th>#Action</th>
                                </tr>
                            </thead>
                            <tbody>

                                <?php
                                if (count($categories) > 0) {
                                    foreach ($categories as $inx => $category) {
                                ?>
                                        <tr>
                                            <td><?= $category['id'] ?></td>
                                            <td><?= $category['name'] ?></td>
                                            <td><?= $category['status'] == '1' ? "<button class='btn btn-success'>Active</button>" : "<button class='btn btn-danger'>Inctive</button>" ?></td>
                                            <td>

                                                <form method="post" action="<?= site_url('delete-category/' . $category['id']) ?>" id="frm-del-cat-<?= $category['id'] ?>">
                                                    <input type="hidden" name="category_id" value="<?= $category['id'] ?>" />
                                                </form>

                                                <a href="javascript:void(0)" onclick="if(confirm('Are you sure want to delete ? ')){ $('#frm-del-cat-<?= $category['id'] ?>').submit() }" class="btn btn-danger">Delete</a>
                                            </td>
                                        </tr>
                                <?php
                                    }
                                }

                                ?>

                            </tbody>
                            <tfoot>
                                <tr>
                                    <th>#ID</th>
                                    <th>#Name</th>
                                    <th>#Status</th>
                                    <th>#Action</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->

            </div>
            <!--/.col (right) -->
        </div>
        <!-- /.row -->

    </div><!-- /.container-fluid -->
</section>
<!-- /.content -->

<?= $this->endSection() ?>

<?= $this->section("bottomScripts") ?>

<?= script_tag("plugins/datatables/jquery.dataTables.js") ?>
<?= script_tag("plugins/datatables-bs4/js/dataTables.bootstrap4.js") ?>

<script>
    $(function() {
        $("#tbl-list-category").DataTable();
    });
</script>

<?= $this->endSection() ?>