<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?= $this->renderSection("adminTitle") ?></title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <?= link_tag("plugins/fontawesome-free/css/all.min.css") ?>
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Tempusdominus Bbootstrap 4 -->
    <?= link_tag("plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css") ?>

    <?= link_tag("dist/css/adminlte.min.css") ?>

    <?= link_tag("plugins/overlayScrollbars/css/OverlayScrollbars.min.css") ?>

    <?= $this->renderSection("topStyles") ?>
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <?= $this->include("layouts/partials/navbar") ?>

        <!-- Main Sidebar Container -->
        <?= $this->include("layouts/partials/sidebar") ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">

            <?php
            if (isset($validation)) {
            ?>
                <div class="alert alert-danger">
                    <?= $validation->listErrors() ?>
                </div>
            <?php
            }

            if (session()->get("success")) {
            ?>
                <div class="alert alert-success">
                    <?= session()->get("success") ?>
                </div>
            <?php
            }

            if (session()->get("error")) {
                ?>
                    <div class="alert alert-danger">
                        <?= session()->get("error") ?>
                    </div>
                <?php
                }
            ?>
            <?= $this->renderSection("content") ?>

        </div>
        <!-- /.content-wrapper -->
        <footer class="main-footer">
            <strong>Copyright &copy; 2020 <a href="#">TodoManager</a>.</strong>
            All rights reserved.
        </footer>
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <?= script_tag("plugins/jquery/jquery.min.js") ?>
    <?= script_tag("plugins/jquery-ui/jquery-ui.min.js") ?>
    <?= script_tag("plugins/bootstrap/js/bootstrap.bundle.min.js") ?>
    <?= script_tag("plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js") ?>
    <?= script_tag("dist/js/adminlte.js") ?>

    <script>
        $.widget.bridge('uibutton', $.ui.button)
    </script>

    <?= $this->renderSection("bottomScripts") ?>
</body>

</html>